<template>
  <v-layout row class="align-center layout pa-2 pt-9 app--page-header">
    <div class="page-header-title">
      <span class="ml-1">{{ capitalizedTitle }}</span>
    </div>
    <v-spacer></v-spacer>
    <div class="page-header-right"></div>
  </v-layout>
</template>

<script>
export default {
  props: {
    title: String
  },
  computed: {
    capitalizedTitle() {
      let capitalize = word => {
        return word[0].toUpperCase() + word.slice(1).toLowerCase();
      }
      return this.title
        .split("_")
        .map(x => capitalize(x))
        .join(" ");
    }
  }
};
</script>

<style lang="sass">
.page-header-title
  font-size: 32px
  font-family: 'Noto Sans'
</style>
